//----------------------------------------------------------------------------------------------
import processing.serial.*;
Serial comPort;  
String dataRx = "";
PrintWriter txtFile;
//----------------------------------------------------------------------------------------------
float tempr = 0;
String strTempr = "";
//----------------------------------------------------------------------------------------------
void setup() 
{
  size(700, 400);
 
  comPort = new Serial(this, "COM5", 9600);
  comPort.bufferUntil('\n');
  
  txtFile = createWriter("temperature.txt");
}
//----------------------------------------------------------------------------------------------
void draw() 
{
  temprBar();
  saveBtn();
  labelTxt();
}
//----------------------------------------------------------------------------------------------
void serialEvent(Serial comPort)
{
  dataRx = comPort.readStringUntil('\n');
  
  tempr = map(float(dataRx),0,1023,0,200);
  strTempr = nf(tempr,2,2);
  txtFile.println(strTempr);
  println(strTempr);
}
//----------------------------------------------------------------------------------------------
