/* 
 * File:   main.c
 * Author: chengo
 *
 * Created on December 25, 2019, 7:48 AM
 */

//------------------------------------------------------------------------------
#include "config_words.h"
#define _XTAL_FREQ 4000000
//------------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
//------------------------------------------------------------------------------
#include "USART.h"
#include "ADC.h"
#include "Temperature.h"
//------------------------------------------------------------------------------
char tempr[10];
char chnl = 0;     //Channel
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  USART_init(9600);
  ADC_init();

  while(1)
  {
   sprintf( tempr, "%3.2f\r\n", getTempr(ADC_read(chnl)) );
   USART_string(tempr);

   __delay_ms(1000);
  }
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------